/* font-family: 'Bevan', cursive;
font-family: 'Comfortaa', cursive;
font-family: 'Creepster', cursive;
font-family: 'Lalezar', cursive;
font-family: 'Rokkitt', serif; */


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


body, html {
    overflow-x: hidden; /* Add this line */
    background-color: #ffffff;
    height: 100%;
    width: 100%;
    line-height: 1;
    display: block;
    font-family: 'Comfortaa', cursive}

    body.scrollable {
    overflow-y: unset;
}



.title-container {
    display: flex;
    align-items: center;  
    justify-content: center;  
    padding: 2px 16px;
    height: 40px;
    color: black;
    border-bottom: 1px solid #d3d6da;
}

.game-home-text{
    flex: 0 0 auto;
    font-size: 1rem;
    font-weight: 600;
    margin: 0;
    padding: 0;
    color: black;
    text-decoration: none;   
    font-family: 'Rokkitt', serif; 
   
}

.game-home-icon {
    position: relative;
    height: 50%; /* Adjust the height as needed */
}

.game-home-icon img {
    max-height: 100%;
    display: block;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}


.wordle-header-text {
    margin: 0;
    font-size: 1.5rem;
    font-weight: 700;
    font-family: 'Bevan', cursive;
    text-align: center;
    flex: 1;
}

a{
    text-decoration: none;
    color: inherit;
}


.game-page{
    position: relative;
    width: 100%;
}

.game-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
   
}
  

.board-container{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-grow: 1;
    overflow: unset;
    width: 100%;

 /*    this is the same as nytimes */
}

.tile-container {
    display: grid;
    grid-template-rows: repeat(6, 1fr);
    padding: 10px 10px 10px 10px;
    box-sizing: border-box;
}


.tile {
    width: 100%;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    font-size: 2.25rem;
    line-height: 1;
    font-weight: bold;
    vertical-align: middle;
    box-sizing: border-box;
    text-transform: uppercase;
    user-select: none;
    font-family: 'Cabin', sans-serif;
}




/* keyboard styling */
.keyboard-all-rows {
    margin: 0 8px;
    height: 200px;
    user-select: none;
    margin-top: 15px;
}

.keyboard-row-1 {
    display: flex;
    width: 100%;
    margin: 0 auto 8px;
    touch-action: manipulation;

}

.keyboard-row-2 {
    display: flex;
    width: 100%;
    margin: 0 auto 8px;
    touch-action: manipulation;

}

.keyboard-row-3 {
    display: flex;
    width: 100%;
    margin: 0 auto 8px;
    touch-action: manipulation;
}

.key-half{
    flex: .5;
}

#enter {
    flex: 1.5;
    font-size: 12px;
    font-weight: 700;
}

#back {
    flex: 1.5;
    font-size: 12px;
    margin: 0;
    font-weight: 1000;
}

.button {
    overflow: visible;
    line-height: 1.15;
}


.key {
    font-family: 'Cabin', sans-serif;
    font-size: 1.25em;
   
    border: 0;
    padding: 0;
    margin: 0 6px 0 0;
    height: 58px;
    width: 30px;
    border-radius: 4px;
    cursor: pointer;
    user-select: none;
    background-color: #d3d6da;
    color: #000000;
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    text-transform: uppercase;
    -webkit-tap-highlight-color: rgba(0,0,0,.3);
   
    font-weight: 550;

}

/* .Keyboard-all-rows button:nth-child(11) {
    margin-left: 30px;
}

.Keyboard-all-rows button:nth-child(20) {
    width: 75px;
    align-items: center;
    justify-content: center;
}

.Keyboard-all-rows button:nth-child(28) {
    width: 50px;
    font-size: 2rem;
} */

.tile-container div {
    display: flex;
}

.tile-container .tile {
   width: 62px;
    height: 62px;
    border: 2px solid #d3d6da;
    box-sizing: border-box;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 2px;
}



.message-container {
    position: absolute;
    width: 100%;
    text-align: center;
    z-index: 1;  /* Ensure the message overlays the tiles */
    
}

.message-container p {
    display: inline-block;
    background-color: #434444;
    border-radius: 10px;
    padding: 10px;
    color: white;
    font-weight: bold;
    margin-top: 110px;  /* Adjust this value to position the message over the first row of tiles */
}

.tile.flip {
    animation: 0.5s linear flipping;
}

@keyframes flipping {
    0% {
        transform: rotateX(0deg);
    }
    50% {
        transform: rotateX(90deg);
    }
    100% {
        transform: rotateX(0deg);
    }
}



.grey-overlay {
    background-color: #787c7e !important;
    border:none !important;
}
.yellow-overlay {
    background-color: #c9b458 !important;
    border:none !important;
}

.green-overlay {
    background-color: #6aaa64 !important;
    border:none !important;
}

.flip {
    color: white;
    
}

